/**
 * HTTP header to correlate requests made while intercepting
 */
export declare const YESNO_INTERNAL_HTTP_HEADER: string;
/**
 * JSON mime type
 */
export declare const MIME_TYPE_JSON: string;
/**
 * HTTP content type header
 */
export declare const HEADER_CONTENT_TYPE: string;
/**
 * Default symbol to use when redacting fields from HTTP requests
 */
export declare const DEFAULT_REDACT_SYMBOL: string;
/**
 * Default port for outbound HTTP requests
 */
export declare const DEFAULT_PORT_HTTP: number;
/**
 * Default port for outbound HTTPS requests
 */
export declare const DEFAULT_PORT_HTTPS: number;
/**
 * Environment variable controlling the current recording mode
 */
export declare const YESNO_RECORDING_MODE_ENV_VAR: string;
