/// <reference types="node" />
import { ClientRequest, IncomingMessage, RequestOptions } from 'http';
import * as t from 'io-ts';
import { Transform } from 'stream';
declare const Headers: t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>;
declare const SerializedRequest: t.IntersectionType<[t.InterfaceType<{
    headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
    host: t.ReadonlyType<t.StringType, string, string, unknown>;
    method: t.ReadonlyType<t.StringType, string, string, unknown>;
    path: t.ReadonlyType<t.StringType, string, string, unknown>;
    port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
}, t.TypeOfProps<{
    headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
    host: t.ReadonlyType<t.StringType, string, string, unknown>;
    method: t.ReadonlyType<t.StringType, string, string, unknown>;
    path: t.ReadonlyType<t.StringType, string, string, unknown>;
    port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
}>, t.OutputOfProps<{
    headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
    host: t.ReadonlyType<t.StringType, string, string, unknown>;
    method: t.ReadonlyType<t.StringType, string, string, unknown>;
    path: t.ReadonlyType<t.StringType, string, string, unknown>;
    port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
}>, unknown>, t.PartialType<{
    body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
    query: t.ReadonlyType<t.StringType, string, string, unknown>;
}, t.TypeOfPartialProps<{
    body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
    query: t.ReadonlyType<t.StringType, string, string, unknown>;
}>, t.OutputOfPartialProps<{
    body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
    query: t.ReadonlyType<t.StringType, string, string, unknown>;
}>, unknown>], t.TypeOfProps<{
    headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
    host: t.ReadonlyType<t.StringType, string, string, unknown>;
    method: t.ReadonlyType<t.StringType, string, string, unknown>;
    path: t.ReadonlyType<t.StringType, string, string, unknown>;
    port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
}> & t.TypeOfPartialProps<{
    body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
    query: t.ReadonlyType<t.StringType, string, string, unknown>;
}>, t.OutputOfProps<{
    headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
    host: t.ReadonlyType<t.StringType, string, string, unknown>;
    method: t.ReadonlyType<t.StringType, string, string, unknown>;
    path: t.ReadonlyType<t.StringType, string, string, unknown>;
    port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
}> & t.OutputOfPartialProps<{
    body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
    query: t.ReadonlyType<t.StringType, string, string, unknown>;
}>, unknown>;
declare const SerializedResponse: t.InterfaceType<{
    body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
    headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
    statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
}, t.TypeOfProps<{
    body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
    headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
    statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
}>, t.OutputOfProps<{
    body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
    headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
    statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
}>, unknown>;
declare const SerializedHttp: t.IntersectionType<[t.PartialType<{
    __duration: t.ReadonlyType<t.NumberType, number, number, unknown>;
    __timestamp: t.ReadonlyType<t.NumberType, number, number, unknown>;
}, t.TypeOfPartialProps<{
    __duration: t.ReadonlyType<t.NumberType, number, number, unknown>;
    __timestamp: t.ReadonlyType<t.NumberType, number, number, unknown>;
}>, t.OutputOfPartialProps<{
    __duration: t.ReadonlyType<t.NumberType, number, number, unknown>;
    __timestamp: t.ReadonlyType<t.NumberType, number, number, unknown>;
}>, unknown>, t.InterfaceType<{
    __id: t.ReadonlyType<t.StringType, string, string, unknown>;
    __version: t.ReadonlyType<t.StringType, string, string, unknown>;
    request: t.IntersectionType<[t.InterfaceType<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }, t.TypeOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }>, t.OutputOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }>, unknown>, t.PartialType<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }, t.TypeOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, t.OutputOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, unknown>], t.TypeOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }> & t.TypeOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, t.OutputOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }> & t.OutputOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, unknown>;
    response: t.InterfaceType<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }, t.TypeOfProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }>, t.OutputOfProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }>, unknown>;
}, t.TypeOfProps<{
    __id: t.ReadonlyType<t.StringType, string, string, unknown>;
    __version: t.ReadonlyType<t.StringType, string, string, unknown>;
    request: t.IntersectionType<[t.InterfaceType<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }, t.TypeOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }>, t.OutputOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }>, unknown>, t.PartialType<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }, t.TypeOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, t.OutputOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, unknown>], t.TypeOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }> & t.TypeOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, t.OutputOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }> & t.OutputOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, unknown>;
    response: t.InterfaceType<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }, t.TypeOfProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }>, t.OutputOfProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }>, unknown>;
}>, t.OutputOfProps<{
    __id: t.ReadonlyType<t.StringType, string, string, unknown>;
    __version: t.ReadonlyType<t.StringType, string, string, unknown>;
    request: t.IntersectionType<[t.InterfaceType<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }, t.TypeOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }>, t.OutputOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }>, unknown>, t.PartialType<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }, t.TypeOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, t.OutputOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, unknown>], t.TypeOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }> & t.TypeOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, t.OutputOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }> & t.OutputOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, unknown>;
    response: t.InterfaceType<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }, t.TypeOfProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }>, t.OutputOfProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }>, unknown>;
}>, unknown>], t.TypeOfPartialProps<{
    __duration: t.ReadonlyType<t.NumberType, number, number, unknown>;
    __timestamp: t.ReadonlyType<t.NumberType, number, number, unknown>;
}> & t.TypeOfProps<{
    __id: t.ReadonlyType<t.StringType, string, string, unknown>;
    __version: t.ReadonlyType<t.StringType, string, string, unknown>;
    request: t.IntersectionType<[t.InterfaceType<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }, t.TypeOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }>, t.OutputOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }>, unknown>, t.PartialType<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }, t.TypeOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, t.OutputOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, unknown>], t.TypeOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }> & t.TypeOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, t.OutputOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }> & t.OutputOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, unknown>;
    response: t.InterfaceType<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }, t.TypeOfProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }>, t.OutputOfProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }>, unknown>;
}>, t.OutputOfPartialProps<{
    __duration: t.ReadonlyType<t.NumberType, number, number, unknown>;
    __timestamp: t.ReadonlyType<t.NumberType, number, number, unknown>;
}> & t.OutputOfProps<{
    __id: t.ReadonlyType<t.StringType, string, string, unknown>;
    __version: t.ReadonlyType<t.StringType, string, string, unknown>;
    request: t.IntersectionType<[t.InterfaceType<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }, t.TypeOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }>, t.OutputOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }>, unknown>, t.PartialType<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }, t.TypeOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, t.OutputOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, unknown>], t.TypeOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }> & t.TypeOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, t.OutputOfProps<{
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        host: t.ReadonlyType<t.StringType, string, string, unknown>;
        method: t.ReadonlyType<t.StringType, string, string, unknown>;
        path: t.ReadonlyType<t.StringType, string, string, unknown>;
        port: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
        protocol: t.ReadonlyType<t.UnionType<(t.LiteralType<"http"> | t.LiteralType<"https">)[], "http" | "https", "http" | "https", unknown>, "http" | "https", "http" | "https", unknown>;
    }> & t.OutputOfPartialProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        query: t.ReadonlyType<t.StringType, string, string, unknown>;
    }>, unknown>;
    response: t.InterfaceType<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }, t.TypeOfProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }>, t.OutputOfProps<{
        body: t.ReadonlyType<t.UnionType<(t.StringType | t.ObjectType)[], string | object, string | object, unknown>, string | object, string | object, unknown>;
        headers: t.ReadonlyType<t.DictionaryType<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>, t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>, unknown>, Readonly<t.TypeOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, Readonly<t.OutputOfDictionary<t.StringType, t.UnionType<(t.UndefinedType | t.StringType | t.NumberType | t.ArrayType<t.StringType, string[], string[], unknown>)[], string | number | string[] | undefined, string | number | string[] | undefined, unknown>>>, unknown>;
        statusCode: t.ReadonlyType<t.RefinementType<t.NumberType, number, number, unknown>, number, number, unknown>;
    }>, unknown>;
}>, unknown>;
/**
 * HTTP request/response serialized in a consistent format
 */
export interface ISerializedHttp extends t.TypeOf<typeof SerializedHttp> {
}
/**
 * HTTP request serialized in a consistent format
 */
export interface ISerializedResponse extends t.TypeOf<typeof SerializedResponse> {
}
/**
 * HTTP response serialized in a consistent format
 */
export interface ISerializedRequest extends t.TypeOf<typeof SerializedRequest> {
}
/**
 * HTTP request & response
 */
export interface ISerializedRequestResponse {
    request: ISerializedRequest;
    response: ISerializedResponse;
}
export interface IHeaders extends t.TypeOf<typeof Headers> {
}
export interface ClientRequestFull extends ClientRequest {
    agent?: {
        defaultPort?: number;
    };
    path: string;
}
export declare class RequestSerializer extends Transform implements ISerializedRequest {
    body: string | undefined;
    headers: IHeaders;
    host: string;
    path: string;
    method: string;
    port: number;
    protocol: 'http' | 'https';
    /**
     * Query part _including_ `?`
     */
    query?: string;
    constructor(originalClientOpts: RequestOptions, originalClientReq: ClientRequest, interceptedServerReq: IncomingMessage, isHttps: boolean);
    _transform(chunk: Buffer, encoding: string, done: () => void): void;
    serialize(): ISerializedRequest;
}
export declare class ResponseSerializer extends Transform implements ISerializedResponse {
    body: string | object;
    headers: IHeaders;
    statusCode: number;
    constructor(clientResponse: IncomingMessage);
    _transform(chunk: Buffer, encoding: string, done: () => void): void;
    serialize(): ISerializedResponse;
}
export declare function formatUrl(request: ISerializedRequest, includePort?: boolean): string;
export interface ICreateRecord {
    request: ISerializedRequest;
    response: ISerializedResponse;
    duration: number;
}
/**
 * Create record for an HTTP request, which may be saved in a mock file.
 */
export declare function createRecord({ request, response, duration }: ICreateRecord): ISerializedHttp;
export declare function validateSerializedHttpArray(records: object[]): void;
export {};
