"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * HTTP header to correlate requests made while intercepting
 */
exports.YESNO_INTERNAL_HTTP_HEADER = 'x-yesno-internal-header-id';
/**
 * JSON mime type
 */
exports.MIME_TYPE_JSON = 'application/json';
/**
 * HTTP content type header
 */
exports.HEADER_CONTENT_TYPE = 'content-type';
/**
 * Default symbol to use when redacting fields from HTTP requests
 */
exports.DEFAULT_REDACT_SYMBOL = '*****';
/**
 * Default port for outbound HTTP requests
 */
exports.DEFAULT_PORT_HTTP = 80;
/**
 * Default port for outbound HTTPS requests
 */
exports.DEFAULT_PORT_HTTPS = 443;
/**
 * Environment variable controlling the current recording mode
 */
exports.YESNO_RECORDING_MODE_ENV_VAR = 'YESNO_RECORDING_MODE';
//# sourceMappingURL=consts.js.map